      SUBROUTINE PARM3D(CRITFN,TERRAD,TINF,
     1                  BETA2,IFRADJ,IKINE,ALPHA,UM,VM,DX,DY)
C
C     DIAGNO  VERSION 1.1  LEVEL 900221  PARM3D    S.DOUGLAS, SAI
C
      COMMON /TEMPE/TZ00,TZ11,Z00,Z11,GAMMA(24)
      DIMENSION BETA2(1), UM(1), VM(1)
C
C     READ DIAGNOSTIC PARAMETERS
C
      do i=1,24
	   GAMMA(i) = (TZ11-TZ00)/(Z11-Z00)
	end do
C
C     STORE THE SIGN OF GAMMA IN BETA2 ARRAY
C
      DO 5 I = 1,24
      IF (GAMMA(I) .LT. 0.) BETA2(I) = 1.
      IF (GAMMA(I) .EQ. 0.) BETA2(I) = 0.
      IF (GAMMA(I) .GT. 0.) BETA2(I) = -1.
    5 CONTINUE
C
C     CONVERT GAMMA TO DEG-K/KM
C
      DO 15 I = 1,24
      GAMMA(I) = GAMMA(I)/1000.
   15 CONTINUE
C
      CRITFN = 1.
      TERRAD = 10.*0.5*(dx+dy)  ! 10 times grid size
      TERRAD = TERRAD/1000.     ! in km
      TINF = 0.5*(TZ11+TZ00)    ! domain representative temperature
      IFRADJ = 1
      IKINE = 1
      ALPHA = 0.2
c
      do i=1,24         ! 24h. Not used
	   UM(i) = 0.0
	   VM(i) = 0.0
	end do
c
      RETURN
      END