      SUBROUTINE SETUP(NXX,NYY,NZZ,DXK,DYK,CELLZB,UTMXOR,UTMYOR,  &
          TSTART,TEND,NWIND,NUPPER,ZSWIND,                   &
          RMIN,RMAX1,RMAX2,RMAX3,R1,R2,NINTRP,                    &
          NZPRNT,IPR0,IPR1,IPR2,IPR3,IPR4,IPR5,                   &
          IPR6,IPR7,ICALC,IOUTD,HTFAC,NITER,DIVLIM,IOBR,          &
          NUMBAR,I3DCTW,NSMTH,IEXTRP,FEXTRP,                      &
		  Z00,Z11,TZ00,TZ11)
!
      use master_variables
!
      DIMENSION CELLZB(*), FEXTRP(*), NINTRP(*)
!
!     SETUP PARAMATERS
!
      TZ00 = 293
	  TZ11 = 293
      Z00 = zrough_stat
	  Z11 = zref
!
      NXX = nx
      NYY = ny
	  NZZ = 1          ! Values at zref, 3zref, 5zref
      DXK = dx/1000.
	  DYK = dy/1000.
!
      CELLZB(1) = 0.
      CELLZB(2) = 2*zref
!      CELLZB(3) = 4*zref
!      CELLZB(4) = 6*zref
!
      UTMXOR = x0   ! in m
      UTMYOR = y0   ! in m

      TSTART = 0.
      TEND = trun
!
      NWIND = 1
      NUPPER = 0
      ZSWIND = zref
      RMIN   = 0.25*sqrt( (nx-1)*dx*(nx-1)*dx + (ny-1)*dy*(ny-1)*dy)/1e3
      RMAX1  =      sqrt( (nx-1)*dx*(nx-1)*dx + (ny-1)*dy*(ny-1)*dy)/1e3
      RMAX2  =      sqrt( (nx-1)*dx*(nx-1)*dx + (ny-1)*dy*(ny-1)*dy)/1e3
      RMAX3  =      sqrt( (nx-1)*dx*(nx-1)*dx + (ny-1)*dy*(ny-1)*dy)/1e3
!
      R1     = 0.5*sqrt( (nx-1)*dx*(nx-1)*dx + (ny-1)*dy*(ny-1)*dy)/1e3
      R2     =     sqrt( (nx-1)*dx*(nx-1)*dx + (ny-1)*dy*(ny-1)*dy)/1e3
!
       do i=1,NZZ
	     NINTRP(I) = 5
	  end do
!
      NZPRNT = 1
      IPR0 = -1
      IPR1 = -1
      IPR2 = -1
      IPR3 = -1
      IPR4 = -1
      IPR5 = -1
      IPR6 = -1
      IPR7 = -1
!      
	  ICALC = 1
      IOUTD = 0
      HTFAC = 1.
      NITER = 500
      DIVLIM = 1e-6
      IOBR = 0
      NUMBAR = 0         ! No barriers
      I3DCTW = 1
      NSMTH = 2
      IEXTRP = 2
      do i=2,NZZ
	     FEXTRP(I) = 0.
	  end do
!
      RETURN
      END SUBROUTINE SETUP