      SUBROUTINE WNDLPT(GRID)
C
C     DIAGNO  VERSION 1.1  LEVEL 900221  WNDLPT
C
      include 'diagno.inc'
c 
      CHARACTER*1 V
      CHARACTER*3 H
      DIMENSION H(100)
      DIMENSION GRID(NXMAX,1)
      COMMON /D2/ MAP(NXMAX,NYMAX), WORK2(3)
      COMMON /D5/  NX, NY, NZ, DX, DY, DZ(NZMAX)
      COMMON /D6/ IRD,IWR,IFILE
C
C     CREATES A NUMBER MAP OF THE ARRAY 'GRID' SCALED BY FACTOR
C
C     INPUTS:  GRID (R ARRAY) - GRIDDED ARRAY OF SOME VARIABLE
C
      DATA V/'I'/, ICCM /1/
      DATA H /100*'--+'/
      VMAX = 0.0
      DO 10 J=1,NY
      DO 10 I=1,NX
      VAL = ABS(GRID(I,J))
      VMAX = AMAX1(VAL,VMAX)
   10 CONTINUE
c      IF(VMAX.EQ.0.) WRITE(IWR,995)
      IF(VMAX.EQ.0.) RETURN
      IF(VMAX.LT.10.)  GO TO 30
      IF(VMAX.GE.100.) GO TO 40
      FACTOR = 1.00
      GO TO 50
   30 DO 35 I = 1,20
      FACTOR = 10.**(I)
      IFX = IFIX(FACTOR*VMAX)
      IF(IFX.GE.10 )  GO TO 50
   35 CONTINUE
      RETURN
   40 DO 45 I = 1,20
      FACTOR = 10.**(-I)
      IFX = IFIX(FACTOR*VMAX)
      IF(IFX.LT.100 )   GO TO 50
   45 CONTINUE
      RETURN
   50 CONTINUE
      DO 60 I=1,NX
      DO 60 J=1,NY
      VAL = GRID(I,J)*FACTOR
      IF(VAL.GT.0.)   MAP(I,J) = IFIX( VAL + 0.50)
      IF(VAL.LT.0.)   MAP(I,J) = IFIX( VAL - 0.50)
      IF(VAL.EQ.0.)   MAP(I,J) = 0
   60 CONTINUE
      IL = 1
      IR =  MIN0(NX,36)
      IR = MAX0(IR,1)
      JT = 1
      JB = MIN0(NY,50)
      JB = MAX0(JB,1)
      IRL = IR*ICCM
c      WRITE(IWR,1000) (I,I=IL,IRL,ICCM)
c      WRITE(IWR,1002) V, (H(I),I=IL,IR)
      DO 70 J=JT,JB
      K = JB - J + JT
      JRM = (K-1)*ICCM + 1
c      WRITE(IWR,1003) JRM,V,(MAP(I,K),I=IL,IR)
   70 CONTINUE
      IF (NX .LE. 36) GO TO 80
      IL=37
      IR=MIN0(NX,72)
      JT=1
      JB=MIN0(NY,50)
      JB=MAX0(JB,1)
      IRL=IR*ICCM
c      WRITE(IWR,1000)(I,I=IL,IRL,ICCM)
c      WRITE(IWR,1002) V,(H(I),I=IL,IR)
      DO 90 J=JT,JB
      K=JB-J+JT
      JRM=(K-1)*ICCM+1
c      WRITE(IWR,1003) JRM,V,(MAP(I,K),I=IL,IR)
   90 CONTINUE
   80 CONTINUE
c      WRITE(IWR,1004) FACTOR
      RETURN
  995 FORMAT(/,9X,'FIELD CONTAINS ALL ZEROS - PRINTING SUPPRESSED')
 1000 FORMAT(/,7X,38I3)
 1002 FORMAT(6X,A1,38A3)
 1003 FORMAT(3X,I2,1X,A1,38I3)
 1004 FORMAT(/,9X,'ARRAY HAS BEEN SCALED BY',E9.1,'  FOR PRINTING')
      END