      subroutine wrigrd(fname,nx,ny,xo,yo,dx,dy,f)
!************************************************************
!*
!*    Writes GRD file in format surfer (ASCII version)
!* 
!*
!************************************************************
      implicit none
      character*(*)   :: fname
      integer(kind=4) :: nx,ny
      real   (kind=4) :: xo,yo,dx,dy,f(nx*ny)
!
      integer(kind=4) :: ix,iy,ipos
!
!***  Opens the file
!
      open(90,FILE=TRIM(fname),err=100,STATUS='unknown') 
!
!***  Starts to write
!
      write(90,'(a4          )') 'DSAA'
      write(90,'(i4  ,1x,i4  )') nx,ny
      write(90,'(f9.1,1x,f9.1)') xo,(xo+(nx-1)*dx)
      write(90,'(f9.1,1x,f9.1)') yo,(yo+(ny-1)*dy)
      write(90,'(e13.5,1x,e13.5)') MINVAL(f),MAXVAL(f)
!
      do iy=1,ny
	     write(90,10) (f(ipos),ipos=(iy-1)*nx+1,iy*nx)
      end do
  10  format(1000(e13.5,1x))
!
      close(90)
      return
!
!***  List of errors
!
  100 call runend(-1,'Error opening file'//TRIM(fname))
!
      end subroutine wrigrd