      subroutine dose_calc
!***************************************************************************
!*
!*    This routine calculates dose as \int (c^xexp)dt, where
!*    c is  volumetric concentration (ppm) and t is in minutes
!*
!***************************************************************************
      use master_variables
      implicit none
!
      integer(kind=4) :: i,j
!
      do j=1,ny
         do i=1,nx
           dose(i,j) = dose(i,j)+abs(((abs(rho(i,j)-rhoa)/(rho1-rhoa)*1d6)**xexp)*dt/60.0)
         end do
      end do
!
      return
      end subroutine dose_calc
