      real(kind=8) function get_cd(ustar,u,v)
!***********************************************************
!*
!*    computes the skin friction coefficient
!*
!***********************************************************
      implicit none
      real(kind=8) :: ustar,u,v,mod
!
      get_cd = 0.0
      mod    = u*u + v*v
      if(mod.gt.1d-6) get_cd = 2.0*ustar*ustar/mod
      get_cd = min(1e-2,get_cd)
      get_cd = max(1e-4,get_cd)
!	  
      return
      end function get_cd
