      real(kind=8) function get_rho_z(rhoa,rho1,rho,shape,z,h)
!**********************************************************
!*
!*    Interpolates density in z
!*
!**********************************************************
      implicit none
      real(kind=8) :: rhoa,rho1,rho,shape,z,h
      real(kind=8) :: hh
!
      hh = max(h,1e-2)
      hh = -2d0*z/(shape*hh)
      hh = max(hh,-1e2)
!
      get_rho_z = rhoa + 2d0*(rho-rhoa)*exp(hh)/shape  
      get_rho_z = min(get_rho_z,rho1)
!
      return
     end function get_rho_z

