     subroutine readnum
!****************************************************************
!*
!*   Reads NUMERIC BLOCK from the input file 
!*
!****************************************************************
     use io_parameters
     use master_variables
     implicit none
!
     character(len=100) :: message
     integer  (kind=4)  :: istat
!
!***  NUMERIC BLOCK
!
     call get_input_rea8(finp,'NUMERIC','FRONT_FROUDE_NUMBER',beta,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','OPTIMAL_COURANT_NUMBER',courant,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','EDGE_ENTRAINMENT_COEFF',train,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','DIFFUSION_COEFFICIENT',diffus,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','SHAPE_PARAMETER',shape,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','ZETA_PARAMETER',zeta,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','ALPHA_2',xal2,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','ALPHA_3',xal3,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','ALPHA_7',xal7,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','VON_KARMAN_CONSTANT',vkarm,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'NUMERIC','BRITTER_B_CONSTANT',brit,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     return
     end subroutine readnum
