     subroutine readtim
!****************************************************************
!*
!*    Reads TIME BLOCK from the input file 
!*
!****************************************************************
     use io_parameters
     use master_variables
     implicit none
!
     character(len=100) :: message,word
     integer  (kind=4)  :: istat
!
!***  TIME block
!
     call get_input_int4(finp,'TIME','YEAR',ibyr,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_int4(finp,'TIME','MONTH',ibmo,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_int4(finp,'TIME','DAY',ibdy,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_int4(finp,'TIME','HOUR',ibhr,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_int4(finp,'TIME','MINUTE',ibmi,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_rea8(finp,'TIME','SIMULATION_INTERVAL_(SEC)',trun,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_cha (finp,'TIME','RESTART_RUN',word,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
     if(TRIM(word).eq.'YES'.or.TRIM(word).eq.'yes') then
        restart = .true.
     else
       restart = .false.
     end if
!
     return
     end subroutine readtim
