       real(kind=8) function rho_z(rho1,rhoa,rhomean,shape,z,h)
!**************************************************************
!*
!*     this function returns the value of density at a given
!*     height according to the exponential law
!*
!**************************************************************
       implicit none
       real(kind=8) :: rho1,rhoa,rhomean,shape,z,h
!
       rho_z = 2d0*(rhomean-rhoa)*exp(-2d0*z/(max(h,1e-3)*shape))/shape
       rho_z = min(rho1,rhoa+rho_z)
!
       return
       end function rho_z
       
