     subroutine runend(iflag,message)
!************************************************************************
!*
!*   Ends the program
!*
!************************************************************************
       use io_parameters
       use master_variables
       implicit none
!
       integer(kind=4) :: iflag
       character       :: message*(*)
!
!***  Writes header
!   
       write(nlog,1)                        
1      format(/,                     &
            '-------------------',/, &
            ' END OF SIMULATION ',/, &
            '-------------------',/)
!
!***  Writes EOF
!
       call cpu_time(cpu_time_end)
!
       if(iflag.eq.-1) then 
          write(nlog,11) message,(cpu_time_end-cpu_time_begin)
11        format('  STATUS  : ABNORMAL TERMINATION',/,&
                 '  ERROR   : ',a                  ,/,&	   
                 '  CPU TIME: ',f9.1, 'sec')                                   
       else
          write(nlog,21) (cpu_time_end-cpu_time_begin)
21        format('  STATUS  : NORMAL TERMINATION',/, &
               '  CPU TIME: ',f9.1, 'sec')
       end if
!
       close(nlog)
       stop                          ! environment 0
!
     end subroutine runend
