      SUBROUTINE FMINF(F,NF,FMIN,NMIN)
C
C     DIAGNO  VERSION 1.1  LEVEL 900221  FMINF
C
      DIMENSION F(NF)
C
C     FMINF LOCATES THE MINIMUM VALUE AMONG NF CONSECUTIVE
C     MEMBERS OF THE F ARRAY AND RETURNS BOTH THE VALUE FMIN
C     AND ITS ARRAY INDEX NMIN
C
C     INPUTS:  F (R ARRAY) - DISTANCES FROM STATION TO GRID POINT
C              NF (I)      - NUMBER OF STATIONS
C
C     OUTPUTS:  FMIN (R ARRAY) - MINIMUM STATION DISTANCE
C               NMIN (I)       -INDEX OF CLOSEST STATION
C
C
      N = 1
      A = F(N)
      IF(NF.LT.2) GO TO 120
      DO 100 N=2,NF
      A = AMIN1(F(N),A)
  100 CONTINUE
      DO 110 N=1,NF
      IF(A-F(N)) 110,120,120
  110 CONTINUE
      N = NF
  120 NMIN = N
      FMIN = A
      RETURN
      END