	 subroutine wridat
!*****************************************************************
!*
!*   Writes input data to the log file
!*
!*****************************************************************
     use io_parameters
	 use master_variables
	 implicit none
!
     integer(kind=4)  :: iyr,imo,idy,ihr,imi,ise,ipts
!
!*** Writes the file
!
	 write(nlog,1) 
   1 format(/,               &
           '------------',/, &
           ' INPUT DATA ',/, &
           '------------')
!
!*** TIME block
!
     call addtime(ibyr,ibmo,ibdy,ibhr,ibmi,iyr,imo,idy,ihr,imi,ise,trun)  

!
     write(nlog,10) ibdy,month(ibmo),ibyr,ibhr, ibmi*60,    &
                     idy,month(imo ),iyr ,ihr ,(imi*60)+ise,&
					 trun/36d2,trun
 10  format(/,                           &
           'TIME'                    ,/, & 
           '  Initial time    : ',2x,i2.2,1x,a3,1x,i4.4,' at ',i2.2,' h ',i4.4,' s',/,&
           '  Final   time    : ',2x,i2.2,1x,a3,1x,i4.4,' at ',i2.2,' h ',i4.4,' s',/,&
		   '  Time increment  : ',f6.1,' h (',f12.1,' s)')
!
!*** GRID block
!
     write(nlog,20) x0,y0,x0+nx*dx,y0+ny*dy,nx,ny,dx,dy,  &
		            MINVAL(g),MAXVAL(g)
 20  format(/,                                                 &
           'GRID',/,                                           &
           '  Bottom-left corner : (',f9.1,2x,f9.1,')',/,      &
           '  Top-right   corner : (',f9.1,2x,f9.1,')',/,      &
           '  Number points x    : ',i9  ,/,                   &
           '  Number points y    : ',i9  ,/,                   &
           '  X  grid spacing    : ',f9.1,/,                   &
           '  Y  grid spacing    : ',f9.1,/,                   &
           '  Min. topography    : ',f9.1,/,                   &
           '  Max. topography    : ',f9.1)
!
     return
	 end subroutine wridat