     subroutine readfil
!****************************************************************
!*
!*    Reads TIME BLOCK from the input file 
!*
!****************************************************************
     use master_variables
     use io_parameters
     implicit none
!
     character(len=100) :: message
     integer  (kind=4)  :: istat
!
!*** FILES block
!
     if(topofile) then
        call get_input_cha(finp,'FILES','TOPOGRAPHY_FILE_PATH',ftop,1,istat,message)
        if(istat.ne.0) call runend(-1,message)
     else
        ftop = ' '
     end if
!
     call get_input_cha(finp,'FILES','ROUGHNESS_FILE_PATH',frou,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_cha(finp,'FILES','RESTART_FILE_PATH',frst,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     call get_input_cha(finp,'FILES','SOURCE_FILE_PATH',fsrc,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     if(TRIM(wind_model).eq.'UNIFORM'.or.TRIM(wind_model).eq.'uniform') then 
        call get_input_cha(finp,'FILES','WIND_FILE_PATH',fmet,1,istat,message)
        if(istat.ne.0) call runend(-1,message)
     else
        fmet = ' '
     end if
!
     if(TRIM(wind_model).eq.'DIAGNO'.or.TRIM(wind_model).eq.'diagno') then    
        call get_input_cha(finp,'FILES','DIAGNO_FILE_PATH',fdia,1,istat,message)
        if(istat.ne.0) call runend(-1,message)
     else
       fdia = ' '
     end if  
!
     if(out_pts) then
        call get_input_cha(finp,'FILES','TRACK_POINTS_FILE_PATH',fpts,1,istat,message)
        if(istat.ne.0) call runend(-1,message)
     else
        fpts = ' '
     end if 
!
     if(out_box) then
        call get_input_cha(finp,'FILES','BOXES_POINTS_FILE_PATH',fbox,1,istat,message)
        if(istat.ne.0) call runend(-1,message)
     else
        fbox = ' '
     end if 
!
     call get_input_cha(finp,'FILES','OUTPUT_DIRECTORY',dump,1,istat,message)
     if(istat.ne.0) call runend(-1,message)
!
     return
     end subroutine readfil
