      real(kind=8) function stab(z,r)
!***************************************************************************
!*
!*
!***************************************************************************
      implicit none
      real(kind=8) :: z,r,x
!
      if(r.ge.0.0) then
         stab = -17.0*(1.0-exp(-0.29*z/max(r,1e-2)))
      else
         x   = (1.0-16.0*z/r)**0.25
         stab= log(0.125*(1.0+x**2.0)*(1.0+x)**2.0)-2.0*atan(x)+2.0*atan(1.0)
      endif
!      
      return
      end function stab
