@ECHO OFF
rem -------------------------------------------------------------------
rem                   DOS SCRIPT FOR DIAGNO
rem -------------------------------------------------------------------

rem -----------------------
rem Definition of variables 
rem -----------------------

SET PROBLEMNAME=Example
SET RUNDIAGNO=1
SET RUNTWODEE=1

rem -----------------------
rem Path of the executables
rem -----------------------

SET DIAGNOPATH=..\..\Programs\Diagno\Diagno.win.exe
SET TWODEEPATH=..\..\Programs\Twodee2\Twodee2.win.exe

rem -------------
rem Path of files
rem -------------

SET INPUTFILE=.\infiles\%PROBLEMNAME%.inp
SET DIAGNOLOGFILE=.\outfiles\Diagno.log
SET TWODEELOGFILE=.\outfiles\%PROBLEMNAME%.log

rem --------------------- 
rem Launches the programs
rem ---------------------

IF %RUNDIAGNO%==0 GOTO :ENDRUNDIAGNO
%DIAGNOPATH% %INPUTFILE% %DIAGNOLOGFILE%
:ENDRUNDIAGNO

IF %RUNTWODEE%==0 GOTO :ENDRUNTWODEE
%TWODEEPATH% %INPUTFILE% %TWODEELOGFILE%
:ENDRUNTWODEE


